%define name		littleutils
%define version		1.0.29
%define release		%mkrel 1
%define prefix		/usr

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A mini utility toolbox
URL:		https://sourceforge.net/projects/%{name}/
Group:		File tools
License:	GPL 2+
Source:		http://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-%{version}.tar.xz
# the configure script installs only the scripts for programs
# which are installed while running configure
BuildRequires: 	bash
BuildRequires:	perl
BuildRequires:	file
BuildRequires:	ungifsicle
BuildRequires:	libjpeg-progs
BuildRequires:	libpng-devel
BuildRequires:	gettext
BuildRequires:	pngcrush
BuildRequires:	bzip2
BuildRequires:	xz
BuildRequires:	lzip
BuildRequires:	p7zip
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires: 	bash
Requires:	perl
Requires:	file
Requires:	ungifsicle
Requires:	libjpeg-progs
Requires:	pngcrush
Requires:	bzip2
Requires:	xz
Requires:	lzip
Requires:	p7zip


%description
The %{name} include a duplicate file finder (repeats),
image optimizers (opt-jpg opt-png opt-gif recomp-jpg),
file rename tools (lowercase uppercase), archive recompressors
(to-bzip to-7zip to-lzma), a tempfile utility (tempname), and more.

%prep
%setup -q

%build
%configure2_5x --prefix=%{_prefix}
%{__make} %{?_smp_mflags} %{?mflags}

%install
mkdir -p $RPM_BUILD_ROOT
%makeinstall_std


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/%{name}/*
%{_mandir}/man1/*.1.bz2


%changelog
* Mon Jul 15 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.0.29-1pclos2013
- 1.0.29

* Thu Nov 24 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 1.0.24-1pclos2011
- Initial package
